local frame = CreateFrame("Frame", nil, UIParent);

-- This is a comment.

function DoOnSpellCast(self, event, ...)

	local unitID, spell, rank, target = ...;

	local inInstance, instanceType = IsInInstance();
	
	local link = GetSpellLink(spellID);


	tellMessage = 0;


	if (spell == "Hand of Protection") then
		tellMessage = 1;				
		message1 = "Casting " .. GetSpellLink(spell) .. ". " .. target .. " is immune to physical damage for 10 seconds, but can't physically attack.";
	end

	if (spell == "Devotion Aura") then
		tellMessage = 1;
		message1 = "Casting " .. GetSpellLink(spell) .. ". Magic damage to PARTY/RAID reduced by 20% and no silence/interrupt for 6 seconds.";
	end	
	
	if (spell == "Hand of Purity") then
		tellMessage = 1;
		message1 = "Casting " .. GetSpellLink(spell) .. " on " .. target .. ". This will reduce DoTs by 70% for 6 sec.";
	end

	if (spell == "Hand of Freedom") then
		tellMessage = 1;
		message1 = "Casting " .. GetSpellLink(spell) .. ". " .. target .. " is immune to movement impairment.";
	end

	if (spell == "Hand of Salvation") then
		tellMessage = 1;
		message1 = "Casting " .. GetSpellLink(spell) .. " to reduce " .. target .. "'s agro.", "RAID";
	end

	if (spell == "Hand of Sacrifice") then
		tellMessage = 1;
		message1 = "Casting " .. GetSpellLink(spell) .. " to transfer damage to me from " .. target .. ".", "RAID";
	end


	if (tellMessage == 1) then
		if IsInGroup() then
			if IsInRaid() then
				SendChatMessage(message1, "RAID");
			--	SendChatMessage("You are in a RAID", "SAY");
			else
				SendChatMessage(message1, "PARTY");
			--	SendChatMessage("You are in an party", "SAY");
			end
 		
		else
			SendChatMessage(message1, "SAY");
		end
	tellMessage = 0;
	end

end

frame:RegisterEvent("UNIT_SPELLCAST_SENT");

frame:SetScript("OnEvent", DoOnSpellCast);
